{% set bootstrap = "https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist" %}
{% set title = title or "perm.pub" %}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="{{bootstrap}}/css/bootstrap.min.css" integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT" crossorigin="anonymous">
<meta name="description" content="perm.pub">
<title>{{ title }}</title>
<style>
@import url('https://fonts.googleapis.com/css2?family=Special+Elite&display=swap');
body {
  min-height: 100vh;
  min-width: 360px;
  display: flex;
  flex-direction: column;
  --anchor-color: #0645ad;
}
a {
  color: var(--anchor-color);
  text-decoration: none;
}
a:hover, a:focus {
  color: #0645ad;
  text-decoration: underline;
}
body > header {
  display: flex;
  justify-content: center;
  padding: 8px;
  background-color: #f5f5f5;
}
body > header > h1 {
  flex-basis: 240px;
  flex-grow: 0.25;
  max-width: 480px;
  margin: 0;
  margin-top: 4px;
  margin-bottom: 8px;
  text-align: center;
  font-family: 'Special Elite', cursive;
  font-size: 4rem;
}
header a:hover, header a:focus {
  text-decoration: none;
}
header small {
  font-size: 1.125rem;
}
.torso > main {
  max-width: 800px;
  margin-left: auto;
  margin-right: auto;
}
</style>
{% block more_head %}{% endblock %}
</head>
<body>
<header>
<h1>
<a href="{{this.relroot}}">perm.pub</a>
</h1>
</header>
<div class="torso">
{% block torso_content %}
<main>
{% block main_content %}
{% endblock main_content %}
</main>
{% endblock torso_content %}
</div>
</body>
</html>
